@mixin make-display($s) {
    #{$s}hidden {
        display: none;
    }
    #{$s}block {
        display: block;
    }
    #{$s}flex{
        display: flex;
    }
    #{$s}grid{
        display: grid;
    }
    #{$s}contents{
        display: contents;
    }
    #{$s}list-item{
        display: list-item;
    }
    #{$s}table{
        display: table;
        &-row{
            display: table-row;
        }
        &-cell{
            display: table-cell;
        }
        &-row-group {
            display: table-row-group;
        }
        &-header-group {
            display: table-header-group;
        }
        &-footer-group {
            display: table-footer-group;
        }
        &-column-group {
            display: table-column-group;
        }
        &-column {
            display: table-column;
        }
        &-caption {
            display: table-caption;
        }
    }
    
    #{$s}inline{
        display: inline;
        &-block{
            display: inline-block;
        }
        &-flex{
            display: inline-flex;
        }
        &-table{
            display: inline-table;
        }
        &-grid{
            display: inline-grid;
        }
    }
}